export declare class AsyncScheduler implements AsyncDisposable {
    private readonly _jobMaxIntervalMs;
    private readonly _executeJob;
    private _executeCurrentJobPromise?;
    private _executeNextJobTimeoutId?;
    constructor({ jobMaxIntervalMs, executeJob, }: {
        jobMaxIntervalMs: number;
        executeJob: () => Promise<void>;
    });
    triggerJob(): void;
    [Symbol.asyncDispose](): Promise<void>;
}
export declare class SyncScheduler implements Disposable {
    private readonly _jobMaxIntervalMs;
    private readonly _executeJob;
    private _executeNextJobTimeoutId?;
    constructor({ jobMaxIntervalMs, executeJob, }: {
        jobMaxIntervalMs: number;
        executeJob: () => void;
    });
    triggerJob(): void;
    [Symbol.dispose](): void;
}
//# sourceMappingURL=scheduler.d.ts.map